import java.util.Scanner;
import java.io.PrintWriter ;
import java.io.File   ;
/**
 * Created by IntelliJ IDEA.
 * User: m09aya
 * Date: 30.09.2009
 * Time: 18:19:11
 * To change this template use File | Settings | File Templates.
 */
public class Kakoenibyd{
    public static void main (String [] args) throws Exception{
          Scanner s = new Scanner (new File("quotient.in"));
          int a = s.nextInt();
          int b = s.nextInt();
         PrintWriter p = new PrintWriter (new File ("quotient.out"));
        if (b==0){
             p.print("Na nol' delit' nel'zya!!!");
          }
        else {
             p.print(a / b);
    }


        p.close();
    }
}
